apt-get fails to install fglrx or fglrx-updates in 14.04.2 and 12.04.5

Bug #1424491 reported by QIII on 2015-02-23
This bug affects 239 people
Affects Status Importance Assigned to Milestone
fglrx
Invalid
Undecided
Unassigned
fglrx-installer (Ubuntu)
High
Alberto Milone
Precise
High
Alberto Milone
Trusty
High
Unassigned
fglrx-installer-updates (Ubuntu)
High
Unassigned
Precise
High
Alberto Milone
Trusty
High
Unassigned

Bug Description

SRU Request:

[Impact]
fglrx cannot be installed correctly together with the new lts stacks.

[Test case]
Installing the xserver from lts-utopic will prevent the current fglrx from being installed. The new fglrx will install correctly

[Regression potential]
Low. This fglrx release is already in use in 15.04 without any major issues.

--------------------------------------------------------------------------

Activity: Install fglrx AMD driver on 12.04.5 and 14.02.2

Expected behavior: fglrx would intall

Observed behavior: fglrx is not installed as follows

Attempt to install fglrx fails as follows:

        zack3@ZACK3:~$ sudo apt-get install fglrx-updates xvba-va-driver
        Reading package lists... Done
        Building dependency tree
        Reading state information... Done
        Some packages could not be installed. This may mean that you have
        requested an impossible situation or if you are using the unstable
        distribution that some required packages have not yet been created
        or been moved out of Incoming.
        The following information may help to resolve the situation:

        The following packages have unmet dependencies:
         fglrx-updates : Depends: xorg-video-abi-11 but it is not installable or
                                  xorg-video-abi-12 but it is not installable or
                                  xorg-video-abi-13 but it is not installable or
                                  xorg-video-abi-14 but it is not installable or
                                  xorg-video-abi-15
        E: Unable to correct problems, you have held broken packages.

Attempt to insatll xorg-video-abi-15 yields:

        zack3@ZACK3:~$ sudo apt-get install xorg-video-abi-15
        Reading package lists... Done
        Building dependency tree
        Reading state information... Done
        Note, selecting 'xserver-xorg-core' instead of 'xorg-video-abi-15'
        Some packages could not be installed. This may mean that you have
        requested an impossible situation or if you are using the unstable
        distribution that some required packages have not yet been created
        or been moved out of Incoming.
        The following information may help to resolve the situation:

        The following packages have unmet dependencies:
         libcheese-gtk23 : Depends: libclutter-gtk-1.0-0 (>= 0.91.8) but it is not going to be installed
                           Depends: libcogl15 (>= 1.15.8) but it is not going to be installed
         libcheese7 : Depends: libclutter-gst-2.0-0 (>= 0.10.0) but it is not going to be installed
                      Depends: gstreamer1.0-clutter but it is not going to be installed
         libclutter-1.0-0 : Depends: libcogl-pango15 (>= 1.15.8) but it is not going to be installed
                            Depends: libcogl15 (>= 1.15.8) but it is not going to be installed
        E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Attempting to install xserver-xorg-core instead yields:

        zack3@ZACK3:~$ sudo apt-get install xserver-xorg-core
        Reading package lists... Done
        Building dependency tree
        Reading state information... Done
        Some packages could not be installed. This may mean that you have
        requested an impossible situation or if you are using the unstable
        distribution that some required packages have not yet been created
        or been moved out of Incoming.
        The following information may help to resolve the situation:

        The following packages have unmet dependencies:
         libcheese-gtk23 : Depends: libclutter-gtk-1.0-0 (>= 0.91.8) but it is not going to be installed
                           Depends: libcogl15 (>= 1.15.8) but it is not going to be installed
         libcheese7 : Depends: libclutter-gst-2.0-0 (>= 0.10.0) but it is not going to be installed
                      Depends: gstreamer1.0-clutter but it is not going to be installed
         libclutter-1.0-0 : Depends: libcogl-pango15 (>= 1.15.8) but it is not going to be installed
                            Depends: libcogl15 (>= 1.15.8) but it is not going to be installed
        E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

QIII (qiii) wrote :
QIII (qiii) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
QIII (qiii) on 2015-02-23
description: updated
Matthias Homann (palto) wrote :

I faced this issue on two different Latops (Acer and Sony) after installing the new 14.04.2 enablement stack as described in the Ubuntu Wiki https://wiki.ubuntu.com/Kernel/LTSEnablementStack
After reverting back to 14.04.1 stack I could again install the fgrlx driver.

Kal Solette (kalsolette) wrote :

I'm getting this issue too on 14.04.2. No such issue on 14.04.1. I'm using a Radeon 7850 for reference.

This is my output from trying the command line install. matt@matt-MS-7721:~$ sudo apt-get install fglrx-updates xvba-va-driver
[sudo] password for matt:
Sorry, try again.
[sudo] password for matt:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
fglrx-updates : Depends: xorg-video-abi-11 but it is not installable or
xorg-video-abi-12 but it is not installable or
xorg-video-abi-13 but it is not installable or
xorg-video-abi-14 but it is not installable or
xorg-video-abi-15
E: Unable to correct problems, you have held broken packages.
matt@matt-MS-7721:~$

matt@matt-MS-7721:~$ sudo apt-get install xorg-video-abi-15
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'xserver-xorg-core' instead of 'xorg-video-abi-15'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
unity-control-center : Depends: libcheese-gtk23 (>= 3.4.0) but it is not going to be installed
Depends: libcheese7 (>= 3.0.1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
matt@matt-MS-7721:~$

matt@matt-MS-7721:~$ sudo apt-get install xserver-xorg-core
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
unity-control-center : Depends: libcheese-gtk23 (>= 3.4.0) but it is not going to be installed
Depends: libcheese7 (>= 3.0.1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
matt@matt-MS-7721:~$

Otus (jan-varho) wrote :

Contrarily, if you already have fglrx installed, you can install the 14.04.2 LTS enablement stack without complaints... but it will not work (very well). I got constant crashes.

Forage (forage) wrote :

@Otus: I'm surprised to hear you managed to not get the fglrx packages removed when installing the LTS enablement stack.
In my case I had 14.04 and fglrx-updates (but the same happened with fglrx) installed. When I tried to start using the LTS enablement stack by installing the packages, apt-get had to remove fglrx first.

Just a heads up for everyone: DO NOT attempt to build the driver packages yourself with the drivers from the AMD website after you installed the LTS enablement stack packages. The package building process will attempt to automatically "fix" it's required dependencies, removing a load of packages WITHOUT warning, leaving you with a broken system.

QIII (qiii) wrote :

For clarity:

I attempted the following on my test machine:

1. Upgrade from 14.04.1 with the driver installed. I always recommend against this, but I attempted it anyway in the interest of testing.

2. From a fresh installation of 14.01.1, install the driver, remove the driver, upgrade and then re-install the driver.

3. Install 14.04.2 fresh, update and then install the driver.

All methods failed similarly.

Carel (carel-combrink) wrote :

I also have this problem with a clean install of Ubuntu 14.04.02

Ryan Ronnander (rronnander) wrote :

Installed 14.04.2 on my current laptop and cannot install fglrx drivers as above. Reverting install to 14.04.1.

Kal Solette (kalsolette) wrote :

Sooooooo, any update to when this will be fixed? It's gone past the point of being inconvenient to frustrating!
As this is the current default download for Ubuntu from the official site I'd expect a much better response than has been provided...

Well, this is an issue but not a deal breaker, simply remove wine and the driver installs fine..

tommaso (t03-anders0n) wrote :

I think that wine has nothing to do here, my system is affected from the bug but wine is not installed and before the upgrade the driver was ok

Carel (carel-combrink) wrote :

I agree, clean install as mentioned above, thus no wine install (i would hope). All I have done was boot image, install ubuntu and tried installing fglrx.

Matthew M. Dean (fireculex) wrote :

I can't play Steam without this. Can anyone confirm this bug happens on 14.10?

Matthew M. Dean (fireculex) wrote :

I was able to get fglrx and fglrx installed. What I did was download both the main ubuntu driver, and the non-x driver which is fglrx-core from amd's website. I dpkg -i fglrx-core.deb and apt-get install gksu and libgcc1 and by this time apt-get -f install (without any packages) was displayed to fix dependencies. After that I could dpkg -i fglrx and everything works.

You did it at 14.10 , Matthew?

Forage (forage) wrote :

I sure how he didn't go through all this trouble for 14.10.
No such trickery is needed for 14.10 because there's no LTS enablement stack for 14.10. fglrx, from the Ubuntu repositories as well as the AMD website will install just fine the normal way.

Matthew M. Dean (fireculex) wrote :

No i did it in 14.04. i should note i did install the enablement stack. Not sure if this makes a difference. I wish you could edit your comments :D I am upgrading to 14.10 and trying the experimental mesa drivers because in reality the fps is a joke. I get 9 fps in Starcraft 2, despite 100 in windows. CSGO gives me 30-50 fps despite 200 in windows. And Dota 2 gives me about 15 fps, while 100 in windows.

display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 7700 Series
OpenGL version string: 4.4.13283 Compatibility Profile Context 14.501.1003

QIII (qiii) wrote :

Hey, folks. The bug is about the two releases referenced and fglrx-installer. The more chatter we add, the more the developers are going to have to wade through.

Hi. I just installed Ubuntu 14.04.2 in a new notebook. Ubuntu begun to freeze constantly and randomly so I knew it were because graphic driver issues.

trying to get private driver from additional drivers and selecting any private driver I noticed my selection was reverted to default open source driver so I tried to install from command line with bug report results.

I've tried with all: sudo apt-get --fix-missing install, installing and trying to fix broken dependences with synaptic and the results are the same. so this night I will try a fresh installation in my same notebook and will check if the problem still persists.

Fresh install with 14.0.2 here, spoiler: still persists

yeah, still persists. doing a fake install in the live usb it works after install the last xorg dependence and it can be installed after install lib32gcc1 and libc6-i386 but in real Ubuntu it doesn't work

OK I've fixed it:

# sudo apt-get install xserver-xorg-core
# sudo apt-get install libcheese*

and finally do sudo apt-get install fglrx.

Hope it can be usefull to someone, but still I think this bug have to be fixed.

Balazs Wittmann (balazswmann) wrote :

The solution mentioned in #24 is working for me. I have a Toshiba Satellite L750D notebook and an AMD A6-3400M APU in it. Unfortunately after a fresh Ubuntu 14.04.2 install the default X.Org driver doesn't work for me since I always get balck screen after Ubuntu having booted. So after the installation I wanted to change to the AMD fglrx driver to solve the X.Org driver related balck screen issue, but I also run into the problem this bug about. The steps worked for me were the followings:

1. A fresh Ubuntu 14.04.2 install.
2. Run the "sudo apt-get install libcheese*" command in the terminal.
3. After "sudo apt-get install libcheese*" finished it's work run "sudo apt-get autoremove" to remove unneeded packages.
4. Rebot the system (now I didn't get balck screen at the normal boot)
5. On the Ubuntu Software Center's Edit > Software Sources ... > Additional Drivers tab select one fo the fglrx related option and hit Apply Changes.
6. After the fglrx driver installation has finished restart the system again.

Sharad Chand (sharcnd) on 2015-03-03
Changed in fglrx-installer (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
Forage (forage) wrote :

By running "sudo apt-get install libcheese*" you are basically reverting the mesa updates of 14.0.4.2. It'll remove all the new packages and give you the graphic stack compared to before installing the LTS enabled stack. Hence you can install fglrx again.
You'll still have the new Utopic kernel though. I'm not sure if that's a good or bad thing. I can imagine some incompatibility issues without the new mesa stack, but if it works for you for the time being...

hehe good, in my case I lost my mouse pointer :P

Kal Solette (kalsolette) wrote :

They STILL haven't fixed something as fundamental as this?! It must affect all AMD graphics users with post Radeon 4000 series. How on earth do Canonical expect to succeed in any market when something as basic as installing a bloody graphics driver isn't possible or promptly fixed? And as always from Canonical, NO communication. So amateurish!

With the workaround libcheese and stuff ive broked my gdm, so i return to previous configuration, waiting for the fix

EdouardC (edouard-canot) wrote :

Me too. Same problem with my HP EliteBook 840 G1 (AMD Radeon HD 8750M).

Back to the OpenSource provided by Ubuntu. Very very buggy:
  1) unable to switch smoothly (even with "classic gnome" without Unity) from on desktop to another ;
  2) okular opens small PDF (less than 100 KB, yes 100 kilobytes, not 100 megabytes!) in few seconds
       and during the opening, the mouse freezes ;
  3) second monitor is not always recognize... i must sometimes reboot my machine.

For all these reasons: hurry up to restore a usable FGLRX driver !

bob mounger (bobmounger) wrote :

This also appears to affect gqrx-sdr

https://groups.google.com/forum/#!topic/gqrx/313eDh2-IpE

I hope this bug is elevated & assigned soon.

QIII (qiii) wrote :

That would be a different bug and should be reported separately. This one is specifically about installing the fglrx driver (the proprietary AMD graphics driver)

I have this fglrx bug after doing a fresh 14.04.2 install today plus my open source driver won't recognize my monitor and rates it as 1024x768 , please fix

nikochat (nikochat) wrote :

This is really really frustrating. I have done multiple things around it and it never is "stable" in terms of "NOTHING BREAKS". What's going on? All I want is dual monitors and that can't happen.

Tried on *fresh* 14.02, 14.10.

nikochat (nikochat) wrote :

Sorry, 14.04 not 14.02.

franks (0-frank) wrote :

definitively an annoying bug ; I have seen it now on two lenovo laptops (thinkpad x121e and e550); one time on a fresh 14.04.2 install, and the other time with a 14.04 -> 14.04.2 upgrade ... would be really nice to see this fixed ...

Forage (forage) wrote :

@nikochat: and probably not 14.10 either since that one doesn't have the LTS stack in the first place and runs fglrx just fine.

Etienne Drouin (edrouin1) wrote :

Fresh install of 14.04.2 with AMD Radeon HD 5450.
I don't have a lot installed yet, but things work fine on my DVI plugged monitor which seems to work with the open source driver. But I can't get anything good on my HDMI plugged monitor: image too large I can't see the top menu bar and I can barely see the launcher bar on the left.
I absolutely need my two monitors for work, hope this bug gets work out soon.

Kal Solette (kalsolette) wrote :

It's been over two weeks now and no sign of a fix or even a response. So sorry, I'm going back to Windows again. Everytime I try to get away from it and use Ubuntu I get slapped in the face with bugs and issues. Why do I even bother?

QIII (qiii) wrote :

14.04.1, 12.04.4, 14.10 and 15.04 (development) all work. You could use 14.04(<.2) or 12.04(<.5) until this is sorted out and then upgrade.

Just don't install the Hardware Enablement Stack for now.

It's not skin off of anyone's nose if you decide to go back to Windows.

Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: Confirmed → Triaged
Elll (liubomirg) on 2015-03-13
description: updated
Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed
Changed in fglrx-installer (Ubuntu):
status: Triaged → In Progress
Changed in fglrx-installer-updates (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx:
status: New → Invalid
Changed in fglrx-installer-updates (Ubuntu Trusty):
status: New → In Progress
Changed in fglrx-installer (Ubuntu Trusty):
status: New → In Progress
Changed in fglrx-installer-updates (Ubuntu Trusty):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Trusty):
assignee: nobody → Alberto Milone (albertomilone)
status: In Progress → Triaged
Changed in fglrx-installer-updates (Ubuntu Precise):
status: New → Triaged
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu):
status: In Progress → Invalid
Changed in fglrx-installer-updates (Ubuntu):
status: In Progress → Invalid
Changed in fglrx-installer-updates (Ubuntu Trusty):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu Trusty):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
Changed in fglrx-installer-updates (Ubuntu Precise):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu Trusty):
status: Triaged → In Progress
description: updated
Changed in fglrx-installer (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in fglrx-installer-updates (Ubuntu Trusty):
status: In Progress → Fix Committed
amrith mmh (amrithmmh) on 2015-04-13
Changed in fglrx-installer-updates (Ubuntu):
status: Invalid → New
status: New → Incomplete
status: Incomplete → Opinion
status: Opinion → Invalid
status: Invalid → In Progress
Changed in fglrx-installer-updates (Ubuntu Precise):
status: Triaged → In Progress
Changed in fglrx-installer (Ubuntu Precise):
status: Triaged → In Progress
Changed in fglrx-installer (Ubuntu):
status: Invalid → In Progress
SnoopyFael (snoopyfael) on 2015-04-15
Changed in fglrx-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
40 comments hidden view all 120 comments
Kevin Krumwiede (kjkrum) wrote :

This still does not work out of the box on a fresh install of 14.04.2 with all updates from the default repositories. What are the steps to install fglrx-amdcccle-updates? Any deviations from post #80?

Why does anything from later versions get backported to LTS, anyway? Seems like that defeats the whole purpose of LTS releases. (As evidenced by this issue and others like it.) If I wanted a Utopic kernel, I'd install Utopic.

QIII (qiii) wrote :

Post #77 was on a fresh install with all updates.

Installing fglrx-updates draws in fglrx-amdcccle-updates without need to specify it separately.

Notice that Alberto said it is in trusty-proposed. It may take some time for it to hit the main repo.

Forage (forage) wrote :

I can confirm it working with the proposed updates. fglrx with its dependencies can be installed again.

Lucho Nacho (livalenz) wrote :

I installed fglrx-update from the trusty-proposed using synaptic and all seems to be working fine. fglrxinfo provides standard output. AMD Catalyst Control Center functional. Thanks!!

Running 14.04.2 with original X stack and Utopic kernel. updated fglrx-updates, fglrx-amdcccle-updates to the versions in proposed and it didn’t work, giving several errors;

first got an error due to this bug #1444336

simply selecting the packages for re-installation in synaptic allowed them to install properly, but I then encountered more errors after reboot;

fglrxinfo in terminal gives:

 X Error of failed request: BadRequest (invalid request code or no such operation)
 Major opcode of failed request: 155 (GLX)
 Minor opcode of failed request: 19 (X_GLXQueryServerString)
 Serial number of failed request: 12
 Current serial number in output stream: 12

Trying to start Catalyst Control Center gives

 There was a problem initializing Catalyst Control Center Linux edition. It could be caused by the following.

 No AMD graphics driver is installed, or the AMD driver is not functioning properly.
 Please install the AMD driver appropriate for you AMD hardware, or configure using aticonfig.

Running aticonfig gives

 Unable to open /etc/ati/control, please reinstall the driver.
 aticonfig: No supported adapters detected

Finally, Boinc complains about No usable GPUs found.

Completely removing, restarting and reinstalling fglrx-updates and related packages from proposed and running aticonfig --initial fixes all of these errors. Thus I think there may be problems for people when they try to update fglrx if this version hits the official repos.

Unfortunately I found another problem with Boinc

Boinc now thinks that the gpu doesnt support opencl, giving these errors;

 App version needs OpenCL but GPU doesn't support it

 Application uses missing ATI GPU

Running clinfo seems to indicate that OpenCL is installed.

Boinc recognized it as OpenCl fine with the previous driver version. Thus I think there is something wrong with the driver, specifically OpenCL recognition.

4ndrewl (u-andrew-k) wrote :

Comment #77 worked here. https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1424491/comments/77

Problem manifested itself in Kerbal Space Program when selecting an item or rotating the view in the Vehicle Assembly Building.

Radeon R7 260X
Ubuntu 14.04.2 with the dreaded enablement stack

Thanks QIII

Andy (toribioandy) on 2015-04-18
Changed in fglrx-installer (Ubuntu):
status: In Progress → Confirmed
status: Confirmed → In Progress
QIII (qiii) wrote :

Hey, I only reported the bug and confirmed the fix in userland. Thank the folks at Canonical for fixing it!

Joschi (joschi-a) wrote :

I switched to proposed and was able to install fglrx-updates without problems. After a reboot my .Xauthority file was owned by root causing me to be stuck at the login screen with poor screen resolution. I was able to fix the .Xauthority file:

sudo rm .Xauthority

The file got re-created a few times with root ownership (which should not be the case?) but after:

sudo /etc/init.d/lightdm stop
sudo /etc/init.d/lightdm start

it seemed to be recreated with user ownership so I SHOULD be able to login. However that was not the case.
Running

sudo Xorg -configure

gave the following error message:

******************************************************

X.Org X Server 1.16.0
Release Date: 2014-07-16
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.0-70-generic x86_64 Ubuntu
Current Operating System: Linux OO7-laptop 3.16.0-36-generic #48~14.04.1-Ubuntu SMP Wed Apr 15 13:11:28 UTC 2015 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.16.0-36-generic root=UUID=9ad1f2a0-562f-46da-82c0-4e0e403d7fbc ro quiet splash vt.handoff=7
Build Date: 12 February 2015 11:11:26PM
xorg-server 2:1.16.0-1ubuntu1.2~trusty2 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.30.2
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Apr 19 15:03:54 2015
List of video drivers:
 mga
 savage
 fglrx
 intel
 radeon
 neomagic
 sisusb
 tdfx
 trident
 vmware
 openchrome
 r128
 nouveau
 mach64
 siliconmotion
 ati
 cirrus
 vesa
 fbdev
 modesetting
(++) Using config file: "/home/user/xorg.conf.new"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) [KMS] drm report modesetting isn't supported.
(EE)
(EE) Backtrace:
(EE) 0: Xorg (xorg_backtrace+0x48) [0x7f90200beed8]
(EE) 1: Xorg (0x7f901ff1a000+0x1a8f19) [0x7f90200c2f19]
(EE) 2: /lib/x86_64-linux-gnu/libc.so.6 (0x7f901e09a000+0x36d40) [0x7f901e0d0d40]
(EE)
(EE) Segmentation fault at address 0x0
(EE)
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting
(EE)
(EE)
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.

******************************************************

any ideas what i can do about that?

tomaszko (kossut) wrote :

x64 14.04.02 clean install, now way of installing fglrx, such bugs should not be in LTS.
Cheers,
tk

Glitched (glitchedcode) wrote :

Aside from the fact that bugs such as this shouldn't be in a "Long Term Support" release, the steps in comment #77 should be given WAY more visibility, as a noob can't understand what "Fix Released" means if he cannot just do 'sudo apt-get install fglrx-updates'. Also, when installing from the proposed repos, you should install fglrx-amdcccle-updates manually in the same way.

tomaszko (kossut) wrote :

Users, or like some people call them "noobs" installing LTS because they want to avoid problems with "proposed repos"

QIII (qiii) wrote :

fglrx-amdcccle (and -updates) is now pulled in automatically when you install the driver in the terminal, so there is no need to specify them any longer.

QIII (qiii) wrote :

BTW -- I added a reference on my blog to this bug and suggested looking at post #77. Don't know if anyone will ever see that in the backwaters of the interwebzz ...

I also answer a lot of questions on the Ubuntu Forums.

But I guess that's what I can do to get out the news.

Alberto Milone (albertomilone) wrote :

Joschi: please reproduce the problem and attach the output of the dmesg command.

tomaszko: what do you mean by "no way of installing fglrx"?

Alberto Milone (albertomilone) wrote :

Moving back the status to "Fix Committed", as the packages as still in the -proposed repository. Please don't change the bug report status. Thanks.

Changed in fglrx-installer (Ubuntu Trusty):
status: Fix Released → Fix Committed
amrith mmh (amrithmmh) wrote :

will this bug be fixed before ubuntu 16.04 lts???

guess i am stuck with windows forever...
wait backtrack lol.....i will be a hacker

amrith mmh (amrithmmh) wrote :

please fix else everyday i will post bullshit as comments....lol

Forage (forage) wrote :

It would be more helpful to test and post experiences about the packages in the proposed repository than to ask about ETA's or to tell people to hurry up.
It's in the proposed repositories for a reason. This problem already got introduced, probably due to the lack of sufficient testing. The proposed packages are there for real word testing to help prevent other (new) issues from occurring that might affect even more people or result in bigger problems.
The more confirmations are provided the faster it can be released for everyone.

Dmitry (dmi+ry) wrote :

Thanks very much for working on this.
The package from trusty-proposed installed, but it put me into a login loop. I would type in my password or select the "Guest" option, the screen would go black for a second, then it would kick me right back out to the password prompt.
I uninstalled the fglrx and fglrx-amdcccle packages, and that resolved the login loop.
Has anyone seen this happen? If you could suggest any troubleshooting I could do to get the driver to stop crashing, it would be great. My Ubuntu installation is pretty new, but I've spent some time setting everything up already, and would prefer not to reinstall the OS.

Running 14.04.2 LTS
Video: [AMD/ATI] RS780 [Radeon HD 3200]

QIII (qiii) wrote :

Dmitry --

Unfortunately, your GPU is no longer supported by AMD with a driver that will work with the current version of X server. There is nothing anyone at Canonical or any other Linux distributor can do. That is really not related to this particular bug. Since you have already removed the fglrx driver, you can keep using the open source driver.

Nick Mann (nmann84) wrote :

Could you guys fix this already? Using an excuse that it's not broken in 15.04 is total BS. 14.04.2 is supposed to be a LONG TERM SUPPORT version and one of the most important parts of a desktop system has been unable to be installed for like 2-3 months now. This is pathetic.

HeroCC (herocc) wrote :

Is there any estimate when a fix will be released? I saw it was committed about a week ago, but it isn't in the package yet.

QIII (qiii) wrote :

I don't see anywhere that anyone used the fact that it works in 15.04 as an excuse. I do see that the fact was used as an indicator that fixing this problem was unlikely to cause regression.

Changed in fglrx-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Po-Hsu Lin (cypressyew) wrote :

Hello Ted,
could you point me out where did you see the information about the fix release in Trusty?
I will revert it back to "Fix Committed" for now
Thanks

Changed in fglrx-installer (Ubuntu Trusty):
status: Fix Released → Fix Committed

Hello, I'm quite confused. I thought this was fixed and released. No?!
That might explain the problems I've had as recently as today trying to
install the new fglrx files. Please clarify what the status really IS
now. Thanks.

On 11/05/15 10:24, Po-Hsu Lin wrote:
> Hello Ted,
> could you point me out where did you see the information about the fix release in Trusty?
> I will revert it back to "Fix Committed" for now
> Thanks
>
> ** Changed in: fglrx-installer (Ubuntu Trusty)
> Status: Fix Released => Fix Committed
>

Po-Hsu Lin (cypressyew) wrote :

@Peter-and-Crazybear (crazybear)
I just confirmed that this fix still in Trusty -proposed, not released to -released yet, so it's "Fix Committed" in Trusty
Looks like it will be released soon.

For those who don't want to wait, you can enable proposed (be aware that you might be running with the testing stage packages) in your Software Sources, and let it refresh the software list.
And you will be able to install the fglrx proprietary driver.

https://wiki.ubuntu.com/Testing/EnableProposed

Po-Hsu Lin (cypressyew) wrote :

Hello,
for those who are affected by this bug on Trusty, as the fglrx version 2:15.200-0ubuntu0.3 has been pushed to -released [1]. You could now install the proprietary fglrx driver on your system, before doing this, make sure to update your software list with "sudo apt-get update" command in your terminal.

I have verified this on 14.04.2 Trusty with stock Ubuntu image, fglrx (2:15.200-0ubuntu0.3) could be installed without any problem.
I will mark the bug as Fix-released in Trusty, thanks.

[1] https://launchpad.net/fglrx/+packages

Changed in fglrx-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in fglrx-installer-updates (Ubuntu Trusty):
status: Fix Committed → Fix Released
zeve (z3v3) wrote :

Hello,

Thank you, it works perfectly.

I would though like some information if possible: Why it took ~4 months to fix this in an LTS release?
Was there anything needed from AMD's side and they were late providing it? or? I'm very curious, because I never thought this would be possible on a LTS release, and on an officially supported DELL machine (listed on Ubuntu's supported hardware page).

I did not post anything until now, because it wouldn't have solved anything, but not that it's over, I think it's worth knowing what caused this unhumanly unreasonable delay :).

Thanks, and a good day!

I'm having big problems getting the new 2:15.200-0ubuntu0.3 installed. I've tried over five times and can't get it to work - can't even get into the OS in 14.04.2 when it is installed and reboot. What special 'sauce' is needed? I'm not very proficient with Linux and have tried in terminal and by synaptic [when all fglrx drivers are purged I can get in on Xorg - but even that is no longer seeing my three monitors and has each one as a separate monitor, rather than one big desktop, as before. Downloaded the fglrx-installer-updates_15.200.orig.tar.gz for Trusty, but don't see how one is supposed to install it...the only method I didn't try. Thanks

Albert Li (libo0001) wrote :

It seems I'm having an issue with the newly released driver.

I installed this driver using

sudo apt-get install fglrx-updates

Rebooting fails. It stops at

1
70
* Stopping System V compatibility
* Starting ACPI daemon

I'm using the 6-core Mac Pro. Any suggestions?

Thanks!

Albert Li (libo0001) wrote :

The specs of the 6-core Mac Pro can be found at: https://www.apple.com/mac-pro/specs/

Forage (forage) wrote :

@Albert Li: this ticket is about not being able to install the drivers. Your issue is unrelated and should therefore be filed and treated separately. As a new ticket if it's not an existing issue already.

Albert Li (libo0001) wrote :

No. My question is about the driver causing the system to crash. It's not about be unable to install the drivers. After I install the driver, rebooting fails and stops at a particular point, as I described above.

Albert Li (libo0001) wrote :

Oops. My apologies. Can't delete the previous post... Thanks for the clarification.

ruediix@gmail.com (ruedii) wrote :

I remember also running into another package or two that won't install without xorg-video-abi-15.

The best method would be adding the proper "provides" to the appropriate package.

However, if this is provided by multiple packages we should go with the slightly messier option of using a meta-package to provide the dependency.

Changed in fglrx-installer (Ubuntu Trusty):
assignee: Alberto Milone (albertomilone) → Christian Lajko (c-lajko)
Changed in fglrx-installer-updates (Ubuntu Trusty):
assignee: Alberto Milone (albertomilone) → Christian Lajko (c-lajko)
Changed in fglrx-installer-updates (Ubuntu Trusty):
assignee: Christian Lajko (c-lajko) → nobody
assignee: nobody → Christian Lajko (c-lajko)
assignee: Christian Lajko (c-lajko) → nobody
Changed in fglrx-installer (Ubuntu Trusty):
assignee: Christian Lajko (c-lajko) → nobody
Steve Johnston (stevej-mail) wrote :

Having just had this on a Dell 5455 during an update to 14.04.03 (black screen) and getting nowhere with fixes mentiond herex (I always get error code 1 when trying to update fglrx) I tried the following command.

sudo apt-get install fglrx-updates

Rebooted and it's seems to work fine now.

Things were working for me [after a very long fight - so complex I don't even know what worked] in 12.04.5 until some weeks ago. Something changed and now I can't get fglrx to work or to install/reinstall. What is the situation with 12.04.5? Many of the 'It worked' above remarks fail to mention which, and I assume it is always 14.04.2 I'm very frustrated having been unable to use my OS for many weeks now [again]. What recently changed that could have caused the problem anew or new problem? Short of removing the stack [don't know how and don't really want to] how can I get fgrlx-updates or any fglrx on 12.04.5 I have a MSI Radeon HD.7970. Will any new AMD driver work?

Hello everyone,
I would like to know if anyone of you has been successful in installing AMD drivers either with this Ubuntu-provided packages on UBUNTU 14.04.3 or with the AMD-provided package.
I need these on my company laptop and it is quite strange that this issue is still open on the LTS version.
Any pointers?
Thank you all in advance.

QIII (qiii) wrote :

Yes. It works in 14.04.3.

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.3 LTS
Release: 14.04
Codename: trusty

$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon R9 200 Series
OpenGL version string: 4.4.13374 Compatibility Profile Context 13.35.1005

job (jeppekdahl) on 2015-10-07
Changed in fglrx-installer-updates (Ubuntu):
status: In Progress → Fix Released
jub (jubuntu2) wrote :

Works in 14.04.4 as well.

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.4 LTS
Release: 14.04
Codename: trusty

$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6450
OpenGL version string: 4.5.13399 Compatibility Profile Context FireGL 15.201.1151

Changed in fglrx-installer-updates (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
Displaying first 40 and last 40 comments. View all 120 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers